<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from lic.texi on 28 April 1999 -->

<TITLE>The Linear Inequality Calculator - What is LIC?</TITLE>
<link href="lic_3.html" rel=Next>
<link href="lic_1.html" rel=Previous>
<link href="lic_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_1.html">previous</A>, <A HREF="lic_3.html">next</A>, <A HREF="lic_21.html">last</A> section, <A HREF="lic_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC2" HREF="lic_toc.html#TOC2">What is LIC?</A></H2>
<P>
<A NAME="IDX11"></A>
<A NAME="IDX12"></A>
<CODE>LIC</CODE> is an interactive program with a <SAMP>`line-oriented'</SAMP>
interface.  When <CODE>LIC</CODE> is invoked, a prompt (<SAMP>`&#62;'</SAMP>) is printed
at the beginning of the line and <CODE>LIC</CODE> waits for user input. The
user can then type in a command.  <CODE>LIC</CODE> will not take the input
until the line is entered by pressing RETURN.  Then <CODE>lic</CODE> will
parse the line and evaluate and execute that command and print the
necessary output back to the standard output. After that, <CODE>LIC</CODE>
will display the prompt again and wait for the next command from the
user.

</P>
<P>
<CODE>LIC</CODE> can be considered as a sophisticated calculator.  Users can
input expressions and <CODE>LIC</CODE> will evaluate them. Many common
arithmetic operations as well as special matrix and linear inequality
operators are available in <CODE>LIC</CODE>. The results from many of these
calculations can be stored in user-defined variables to be used in
subsequent expressions. 

</P>
<P>
Here is how <CODE>lic</CODE> can be used as a normal, i.e. integer, calculator.

<PRE>
csh&#62; lic -m
Matrix and Linear Inequality Calculator
 &#62; a = 23
23
 &#62; b = 12*a + 4
280
&#62; quit
csh&#62;
</PRE>

<P>
<A NAME="IDX13"></A>

</P>
<P><HR><P>
<p>Go to the <A HREF="lic_1.html">first</A>, <A HREF="lic_1.html">previous</A>, <A HREF="lic_3.html">next</A>, <A HREF="lic_21.html">last</A> section, <A HREF="lic_toc.html">table of contents</A>.
</BODY>
</HTML>
